using System.Collections.Generic;

namespace Domain
{
    public class Sale
    {
        private readonly List<ProductDescription> itemPurchased = new List<ProductDescription>();

        public virtual void SendReceiptTo(IReceiptReceiver receiptReceiver)
        {
            var total = new Money(0m);
            itemPurchased.ForEach(item => total += item.UnitPrice);
            receiptReceiver.ReceiveTotalDue(total);
        }

        public void PurchaseItemWith(ProductDescription description)
        {
            itemPurchased.Add(description);
        }
    }
}